<!doctype html>
<html>
<head>
<meta charset="utf-8">
<title>Problem Number5</title>
</head>

<body onLoad="animateString('demo')">
	
	<h2> JavaScript Excercise</h2>
	<p> <b> No.5:</b> Write a JavaScript program to rotate the string 'w3resource' in right direction by periodically removing one letter from the end of the string and attaching it to the front. <br></p>
	
	<pre id="demo"> Amirhossein Hajialri</pre>
	
	<script>
	function animateString () {
		var element = document.getElementById('demo');
		var textNode = element.childNodes[0];
		var text = textNode.data;
		
		setInterval(function()
				   {
			text=text[text.length - 1] + text.substring(0, text.length - 1);
			textNode.data = text;
		} , 100);
		}
	
	</script>
</body>
</html>
